<?php
// ----- Mise en place de la sidebar
if ( function_exists('register_sidebar') ) register_sidebar();

// ----- Page Guide d'utilisation
include 'guide.php'; 

// ----- Images à la une
add_theme_support( 'post-thumbnails' );
set_post_thumbnail_size( 250, 250, true ); // 250 pixels en largeur par 250 pixels en hauteur, mode hard crop

// ----- Longueur the_excerpt
function custom_excerpt_length( $length ) {
	return 20;
}
add_filter( 'excerpt_length', 'custom_excerpt_length', 999 );

// ----- Paramètres SEO

function meta_box_title_description() {
	add_meta_box( 'parametres_seo_metabox', 'Param&egrave;tres SEO', 'parametres_seo_metabox_content', 'post', 'side', 'high' );
	add_meta_box( 'parametres_seo_metabox', 'Param&egrave;tres SEO', 'parametres_seo_metabox_content', 'page', 'side', 'high' );
}
add_action( 'add_meta_boxes', 'meta_box_title_description' );

function parametres_seo_metabox_content($post) {
	$val_title = get_post_meta($post->ID,'_parametres_seo_title',true);
	$val_description = get_post_meta($post->ID,'_parametres_seo_description',true);
	?>
<title></title>

	<p><strong>Title</strong></p>
	<input id="parametres_seo_title" name="parametres_seo_title" type="text" style="width:100%;" value="<?php echo $val_title; ?>" />
	<p><strong>Meta description</strong></p>
	<textarea id="parametres_seo_description" name="parametres_seo_description" style="width:100%; resize:none;"><?php echo $val_description; ?></textarea>
	<p>Si vous souhaitez simuler l'affichage de votre page dans les résultats de Google, vous pouvez utiliser <a href="http://www.guillaume-epplin.com/outils/snippet/?utm_source=theme-noviseo12&utm_medium=lien-admin-metabox&utm_campaign=promo" target="_blank">cet outil</a>.</p>
	<?php
}

function save_parametres_seo_metabox($post_ID){
	if(isset($_POST['parametres_seo_title'])){
        update_post_meta($post_ID,'_parametres_seo_title', esc_html($_POST['parametres_seo_title']));
    }
	if(isset($_POST['parametres_seo_description'])){
        update_post_meta($post_ID,'_parametres_seo_description', esc_html($_POST['parametres_seo_description']));
    }
}
add_action('save_post','save_parametres_seo_metabox');

function modify_description_from_metabox() {
global $wp_query;
	if ( get_post_meta($wp_query->post->ID,'_parametres_seo_description',true) ) {
		echo '<meta name="description" content="';
		echo get_post_meta($wp_query->post->ID,'_parametres_seo_description',true);
		echo '" />';
	}
}
add_action( 'wp_head', 'modify_description_from_metabox' );

function modify_title_from_metabox($title) {
global $wp_query;
	if ( get_post_meta($wp_query->post->ID,'_parametres_seo_title',true) ) {
		return get_post_meta($wp_query->post->ID,'_parametres_seo_title',true);
	} else {
		return $title;
	}
}
add_filter( 'wp_title', 'modify_title_from_metabox' );

// ----- Image pour la home
$args = array(
	'flex-width'    => true,
	'width'         => 400,
	'flex-height'    => true,
	'height'        => 200,
	'default-image' => get_template_directory_uri() . '/images/home.jpg',
	'uploads'       => true,
);
add_theme_support( 'custom-header', $args );

// ----- Modification de la couleur de fond
	add_theme_support( 'custom-background', array(
	'default-color' => 'cccccc',
	) );

// ----- Page d'options de l'administration
  
function themeoptions_admin_menu()  
{  
    add_theme_page("Options du thème", "Options du thème", 'edit_themes', basename(__FILE__), 'themeoptions_page'); 
} 
function themeoptions_page() 
{
if ( $_POST['update_themeoptions'] == 'true' ) { themeoptions_update(); } 
 
    // Structure de la page 
	

    ?>  
<div class="wrap">  
        <div id="icon-themes" class="icon32"><br /></div>  
        <h2>Options du thème</h2>  
        <form method="POST" action="">  
            <input type="hidden" name="update_themeoptions" value="true" /> 
            <h3>Code Google Analytics</h3>
            <input type="text" name="add_ga" id="add_ga" style="width:200px;" value="<?php echo get_option('noviseo2012_add_ga');?>" /> <p> Insérez ici le code Analytics sous la forme <i>UA-XXXXX-X</i></p> 
            <h3>SEO Title - Accueil</h3>
            <input type="text" name="home_seo_title" id="home_seo_title" style="width:400px;" value="<?php echo get_option('noviseo2012_home_seo_title');?>" /> <p>Insérez ici le Title que vous souhaitez pour la page d'accueil.</p>
            <h3>SEO Description - Accueil</h3>
            <textarea type="text" name="home_seo_desc" id="home_seo_desc" style="width:400px;"><?php echo get_option('noviseo2012_home_seo_desc');?></textarea> <p>Insérez ici le texte que vous souhaitez voir apparaitre pour la balise Meta Description de la page d'accueil.</p>
            <h3>Compte Twitter</h3>
            <input type="text" name="compte_twitter" id="compte_twitter" size="32" value="<?php echo get_option('noviseo2012_twitter');?>" /><p>Insérez ici l'URL de votre compte Twitter. Exemple : <i>https://twitter.com/noviseo</i></p>
            <h3>Compte Facebook</h3>
            <input type="text" name="compte_facebook" id="compte_facebook" size="32" value="<?php echo get_option('noviseo2012_facebook');?>" /><p>Insérez ici l'URL de votre compte Facebook. Exemple : <i>http://www.facebook.com/Noviseo</i></p>
            <h3>Compte Google+</h3>
            <input type="text" name="compte_googleplus" id="compte_googleplus" size="32" value="<?php echo get_option('noviseo2012_googleplus');?>" /><p>Insérez ici l'URL de votre compte Google+. Exemple : <i>https://plus.google.com/116290249587551782060/</i></p>
            <h3>Texte - Accueil</h3>
            <textarea type="text" name="home_text" id="home_text" style="width:400px;"><?php echo get_option('noviseo2012_home_text');?></textarea> <p>Insérez ici le texte que vous souhaitez voir apparaitre sur la page d'accueil. Il est conseillé de l'écrire en code HTML (avec des balises <i>p</i>, <i>h2</i>, etc.)</p>
            <p><input type="submit" name="search" value="Valider les options" class="button" /></p>  
        </form>  
    </div>  
    <?php 
} 

function themeoptions_update()  
{  
    // Enregistrement des données dans la base 
    update_option('noviseo2012_add_ga',     $_POST['add_ga']); 
	update_option('noviseo2012_home_seo_title',     $_POST['home_seo_title']);
	update_option('noviseo2012_home_seo_desc',     $_POST['home_seo_desc']); 
	update_option('noviseo2012_twitter',	$_POST ['compte_twitter']);
	update_option('noviseo2012_facebook',	$_POST ['compte_facebook']);
	update_option('noviseo2012_googleplus',	$_POST ['compte_googleplus']);
	update_option('noviseo2012_home_text',	$_POST ['home_text']);
}

add_action('admin_menu', 'themeoptions_admin_menu'); 

function modify_home_desc() {
global $wp_query;
	if ( get_option('noviseo2012_home_seo_desc',true) ) {
		echo '<meta name="description" content="';
		echo get_option('noviseo2012_home_seo_desc');
		echo '" />';
	}
}
add_action( 'wp_head', 'modify_home_desc' );

function modify_home_title() {
	echo get_option('noviseo2012_home_seo_title');
}


// ----- Fil d'ariane
//Récupérer les catégories parentes
function myget_category_parents($id, $link = false,$separator = '/',$nicename = false,$visited = array()) {
  $chain = '';$parent = &get_category($id);
    if (is_wp_error($parent))return $parent;
    if ($nicename)$name = $parent->name;
    else $name = $parent->cat_name;
    if ($parent->parent && ($parent->parent != $parent->term_id ) && !in_array($parent->parent, $visited)) {
        $visited[] = $parent->parent;$chain .= myget_category_parents( $parent->parent, $link, $separator, $nicename, $visited );}
    if ($link) $chain .= '<span typeof="v:Breadcrumb"><a href="' . get_category_link( $parent->term_id ) . '" title="Voir tous les articles de '.$parent->cat_name.'" rel="v:url" property="v:title">'.$name.'</a></span>' . $separator;
    else $chain .= $name.$separator;
    return $chain;}

//Le rendu
function mybread() {
  // variables gloables
  global $wp_query;$ped=get_query_var('paged');$rendu = '<div xmlns:v="http://rdf.data-vocabulary.org/#">';  
  $debutlien = '<span id="breadex">Vous &ecirc;tes ici :</span> <span typeof="v:Breadcrumb"><a title="'. get_bloginfo('name') .'" id="breadh" href="'.home_url().'" rel="v:url" property="v:title">'. get_bloginfo('name') .'</a></span>';
  $debut = '<span id="breadex">Vous &ecirc;tes ici :</span> <span typeof="v:Breadcrumb">Accueil de '. get_bloginfo('name') .'</span>';

  // si l'utilisateur a défini une page comme page d'accueil
  if ( is_front_page() ) {$rendu .= $debut;}

  // dans le cas contraire
  else {

    // on teste si une page a été définie comme devant afficher une liste d'article 
    if( get_option('show_on_front') == 'page') {
      $url = urldecode(substr($_SERVER['REQUEST_URI'], 1));
      $uri = $_SERVER["HTTP_HOST"].$_SERVER["REQUEST_URI"];
      $posts_page_id = get_option( 'page_for_posts');
      $posts_page_url = get_page_uri($posts_page_id);  
      $pos = strpos($uri,$posts_page_url);
      if($pos !== false) {
        $rendu .= $debutlien.' &raquo; <span typeof="v:Breadcrumb">Les articles</span>';
      }
      else {$rendu .= $debutlien;} 
    }

    //Si c'est l'accueil
    elseif ( is_home()) {$rendu .= $debut;}

    //pour tout le reste
    else {$rendu .= $debutlien;}

    // les catégories
    if ( is_category() ) {
      $cat_obj = $wp_query->get_queried_object();$thisCat = $cat_obj->term_id;$thisCat = get_category($thisCat);$parentCat = get_category($thisCat->parent);
      if ($thisCat->parent != 0) $rendu .= " &raquo; ".myget_category_parents($parentCat, true, " &raquo; ", true);
      if ($thisCat->parent == 0) {$rendu .= " &raquo; ";}
      if ( $ped <= 1 ) {$rendu .= single_cat_title("", false);}
      elseif ( $ped > 1 ) {
        $rendu .= '<span typeof="v:Breadcrumb"><a href="' . get_category_link( $thisCat ) . '" title="Voir tous les articles de '.single_cat_title("", false).'" rel="v:url" property="v:title">'.single_cat_title("", false).'</a></span>';}}

    // les auteurs
    elseif ( is_author()){
      global $author;$user_info = get_userdata($author);$rendu .= " &raquo; Articles de l'auteur ".$user_info->display_name."</span>";}  

    // les mots clés
    elseif ( is_tag()){
      $tag=single_tag_title("",FALSE);$rendu .= " &raquo; Articles sur le th&egrave;me <span>".$tag."</span>";}
      elseif ( is_date() ) {
          if ( is_day() ) {
              global $wp_locale;
              $rendu .= '<span typeof="v:Breadcrumb"><a href="'.get_month_link( get_query_var('year'), get_query_var('monthnum') ).'" rel="v:url" property="v:title">'.$wp_locale->get_month( get_query_var('monthnum') ).' '.get_query_var('year').'</a></span> ';
              $rendu .= " &raquo; Archives pour ".get_the_date();}
      else if ( is_month() ) {
              $rendu .= " &raquo; Archives pour ".single_month_title(' ',false);}
      else if ( is_year() ) {
              $rendu .= " &raquo; Archives pour ".get_query_var('year');}}

    //les archives hors catégories
    elseif ( is_archive() && !is_category()){
          $posttype = get_post_type();
      $tata = get_post_type_object( $posttype );
      $var = '';
      $the_tax = get_taxonomy( get_query_var( 'taxonomy' ) );
      $titrearchive = $tata->labels->menu_name;
      if (!empty($the_tax)){$var = $the_tax->labels->name.' ';}
          if (empty($the_tax)){$var = $titrearchive;}
      $rendu .= ' &raquo; Archives sur "'.$var.'"';}

    // La recherche
    elseif ( is_search()) {
      $rendu .= " &raquo; R&eacute;sultats de votre recherche <span>&raquo; ".get_search_query()."</span>";}

    // la page 404
    elseif ( is_404()){
      $rendu .= " &raquo; 404 Page non trouv&eacute;e";}

    //Un article
    elseif ( is_single()){
      $category = get_the_category();
      $category_id = get_cat_ID( $category[0]->cat_name );
      if ($category_id != 0) {
        $rendu .= " &raquo; ".myget_category_parents($category_id,TRUE,' &raquo; ')."<span>".the_title('','',FALSE)."</span>";}
      elseif ($category_id == 0) {
        $post_type = get_post_type();
        $tata = get_post_type_object( $post_type );
        $titrearchive = $tata->labels->menu_name;
        $urlarchive = get_post_type_archive_link( $post_type );
        $rendu .= ' &raquo; <span typeof="v:Breadcrumb"><a class="breadl" href="'.$urlarchive.'" title="'.$titrearchive.'" rel="v:url" property="v:title">'.$titrearchive.'</a></span> &raquo; <span>'.the_title('','',FALSE).'</span>';}}

    //Une page
    elseif ( is_page()) {
      $post = $wp_query->get_queried_object();
      if ( $post->post_parent == 0 ){$rendu .= " &raquo; ".the_title('','',FALSE)."";}
      elseif ( $post->post_parent != 0 ) {
        $title = the_title('','',FALSE);$ancestors = array_reverse(get_post_ancestors($post->ID));array_push($ancestors, $post->ID);
        foreach ( $ancestors as $ancestor ){
          if( $ancestor != end($ancestors) ){$rendu .= '&raquo; <span typeof="v:Breadcrumb"><a href="'. get_permalink($ancestor) .'" rel="v:url" property="v:title">'. strip_tags( apply_filters( 'single_post_title', get_the_title( $ancestor ) ) ) .'</a></span>';}
          else {$rendu .= ' &raquo; '.strip_tags(apply_filters('single_post_title',get_the_title($ancestor))).'';}}}}
    if ( $ped >= 1 ) {$rendu .= ' (Page '.$ped.')';}
  }
  $rendu .= '</div>';
  echo $rendu;}
  
// Menu personnalisé
add_theme_support( 'menus' );

// Shortcode boutons
function bouton($atts, $content = null) {
 extract(shortcode_atts(array(
 'lien' => '#',
 'couleur' =>'bleu'
 ), $atts));
 return '<a class="bouton '.$couleur.'" href="'.$lien.'" target="_blank">' . do_shortcode($content) . '</a>';
}
add_shortcode('bouton', 'bouton');

// Shortcode Google Map
function googlemap($atts, $content = null) {
extract(shortcode_atts(array(
"width" => '',
"height" => '',
"src" => ''
), $atts));
return '<iframe width="'.$width.'" height="'.$height.'" frameborder="0" scrolling="no" marginheight="0" marginwidth="0" src="'.$src.'&amp;output=embed"></iframe>';
}
add_shortcode("map", "googlemap");



// Partage social
add_filter( 'the_content', 'ilc_share' );
function ilc_share( $content ) {
	if( !is_singular() ) return $content;
	global $post;
	$postlink  = get_permalink($post->ID);
	$posttitle = get_the_title($post->ID);
	$html = '<ul class="partage-social">';
	$html .= '<li>Partager :</li>';
	// Twitter
	$html .= '<li><a class="partage-twitter" target="_blank" title="Partager sur Twitter" rel="external" href="http://twitter.com/share?text='.$posttitle.'&url='.$postlink.'">Twitter</a></li>';
	// Facebook
	$html .= '<li><a class="partage-facebook" title="Partager sur Facebook" rel="external" href="http://www.facebook.com/share.php?u=' . $postlink . '">Facebook</a></li>';
	// Google+
	$html .= '<li><a class="partage-gplus" title="Partager sur Google+" rel="external" href="https://plusone.google.com/_/+1/confirm?url=' . $postlink . '">Google+</a></li>';
	$html .= '</ul>';
	return $content . $html;
}



?>